<script>
export default {
  name: 'EducationFeatureTiers',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <SlpContainer>
    <section class="feature-tier-wrapper">
      <SlpTypography variant="heading2-bold" tag="h2">{{
        data.heading
      }}</SlpTypography>
      <div class="tiers">
        <div class="teachers">
          <SlpTypography variant="heading3-bold" tag="h3">
            {{ data.teacher_tier.title }}
          </SlpTypography>
          <SlpTypography variant="heading5-bold" tag="p" class="tier-text">
            {{ data.teacher_tier.text }}
          </SlpTypography>
          <ul class="features">
            <li v-for="item in data.teacher_tier.features" :key="item.item">
              <div class="icon">
                <SlpIcon variant="product" name="check" color="black" />
              </div>
              <SlpTypography tag="span" variant="body1">
                {{ item.item }}
              </SlpTypography>
            </li>
          </ul>
          <SlpButton
            variant="primary"
            :href="data.teacher_tier.cta.url"
            :data-ga-name="data.teacher_tier.cta.data_ga_name"
            :data-ga-location="data.teacher_tier.cta.data_ga_location"
            >{{ data.teacher_tier.cta.text }}</SlpButton
          >
          <SlpTypography variant="body3" tag="p">
            {{ data.teacher_tier.disclaimer }}
          </SlpTypography>
        </div>
        <div class="schools">
          <SlpTypography variant="heading3-bold" tag="h3">
            {{ data.schools_tier.title }}
          </SlpTypography>
          <div class="flex">
            <div class="feature-box">
              <SlpTypography variant="heading5-bold" tag="p" class="tier-text">
                {{ data.schools_tier.text }}
              </SlpTypography>
              <ul class="features">
                <li v-for="item in data.schools_tier.features" :key="item.item">
                  <div class="icon">
                    <SlpIcon variant="product" name="check" color="black" />
                  </div>
                  <SlpTypography tag="span" variant="body1">
                    {{ item.item }}
                  </SlpTypography>
                </li>
              </ul>
              <SlpButton
                variant="primary"
                :href="data.schools_tier.cta.url"
                :data-ga-name="data.schools_tier.cta.data_ga_name"
                :data-ga-location="data.schools_tier.cta.data_ga_location"
                >{{ data.schools_tier.cta.text }}</SlpButton
              >
              <SlpTypography variant="body3" tag="p">
                {{ data.schools_tier.disclaimer }}
              </SlpTypography>
            </div>
            <div class="callout-box">
              <SlpTypography variant="heading5-bold" tag="p">
                {{ data.schools_tier.callout_box.title }}
              </SlpTypography>
              <ul class="features">
                <li
                  v-for="item in data.schools_tier.callout_box.features"
                  :key="item.item"
                >
                  <div class="icon">
                    <SlpIcon variant="product" name="check" color="black" />
                  </div>
                  <SlpTypography tag="span" variant="body1">
                    {{ item.item }}
                  </SlpTypography>
                </li>
              </ul>
              <SlpButton
                variant="primary"
                :href="data.schools_tier.callout_box.cta.url"
                :data-ga-name="data.schools_tier.callout_box.cta.data_ga_name"
                :data-ga-location="
                  data.schools_tier.callout_box.cta.data_ga_location
                "
                >{{ data.schools_tier.callout_box.cta.text }}</SlpButton
              >
            </div>
          </div>
        </div>
      </div>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.feature-tier-wrapper {
  padding: $spacing-96 0;

  @media (max-width: $breakpoint-md) {
    padding: $spacing-48 0;
  }
}
.tiers {
  display: flex;
  margin-top: $spacing-32;
  gap: 24px;

  @media (max-width: $breakpoint-md) {
    flex-wrap: wrap;
  }
  .teachers {
    background: $color-surface-100;
  }

  .schools {
    background: $color-surface-900;
    flex: 1 0 67%;
  }

  .flex {
    display: flex;
    gap: 0 24px;
    align-items: stretch;

    @media (max-width: $breakpoint-md) {
      flex-wrap: wrap;
    }
  }

  .teachers,
  .schools {
    border-radius: 8px;
    padding: $spacing-32 $spacing-24;

    h3,
    .features {
      margin-bottom: $spacing-16;
    }

    .slp-btn-primary {
      margin: $spacing-16 0;
    }

    .tier-text {
      margin-bottom: $spacing-24;
    }

    .features {
      // min-height: 200px;

      li {
        display: flex;
        align-items: center;
        gap: 0 9px;
        flex-wrap: nowrap;

        &:not(:last-of-type) {
          margin-bottom: $spacing-8;
        }
      }
    }

    .slp-btn {
      width: 100%;
      justify-content: center;
    }
  }

  .feature-box {
    flex: 1 0 45%;

    .slp-btn-primary {
      margin-top: $spacing-8;
    }
  }

  .callout-box {
    flex: 0 0 50%;
    background: $color-surface-50;
    border-radius: 8px;
    padding: $spacing-24;
    display: flex;
    flex-direction: column;
    justify-content: center;

    p {
      margin-bottom: $spacing-16;
    }

    .slp-btn-primary {
      margin-top: $spacing-32;
    }

    @media (max-width: $breakpoint-md) {
      flex: 1 0 100%;
      margin-top: $spacing-24;
    }
  }
}
</style>
